Bug 465893 - NetworkManager-pptp set incorrect MTU when connecting a pptp server over a wlan interface which has MTU lower than 1500
NetworkManager-pptp set incorrect MTU when connecting a pptp server over a wl...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 19:48 EDT by Miao ZhiCheng
Modified: 2009-07-14 10:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:27:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miao ZhiCheng 2008-10-06 19:48:17 EDT
Description of problem:
I have a wlan0 interface like this:
$ /sbin/ifconfig wlan0
wlan0     Link encap:Ethernet  HWaddr 00:1D:E0:58:BA:E7  
          inet addr:192.168.1.101  Bcast:192.168.1.255  Mask:255.255.255.0
          inet6 addr: fe80::21d:e0ff:fe58:bae7/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1492  Metric:1
          RX packets:37916 errors:0 dropped:0 overruns:0 frame:0
          TX packets:35731 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:29619551 (28.2 MiB)  TX bytes:5179262 (4.9 MiB)
Its MTU is 1492,
And I created a pptp vpn by using network manager, I got an interface like this:
$ /sbin/ifconfig ppp0
ppp0      Link encap:Point-to-Point Protocol  
          inet addr:192.168.3.8  P-t-P:192.168.3.8  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1496  Metric:1
          RX packets:7 errors:0 dropped:0 overruns:0 frame:0
          TX packets:7 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3 
          RX bytes:100 (100.0 b)  TX bytes:94 (94.0 b)
Its MTU is 1496, more than the mtu of wlan0, it will cause the ppp0 lost connection after some activities over the pptp network.

Version-Release number of selected component (if applicable):
NetworkManager-pptp-0.7.0-0.10.svn4027.fc9.i386
pptp-1.7.1-4.fc9.i386
ppp-2.4.4-7.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
Prepare a network interface which has MTU lower than 1500, connecting a pptp server over that network. You'll get a pppX interface which has a MTU of 1496, then after you access big chunk data over the pppX, the pptp connection lost.
  
Actual results:
NetworkManager-pptp shall set MTU according to the mtu of the interface who loads it. And another improving feature recommendation is to provide a way to set MTU manually in NM-pptp configuration dialog.

Expected results:
NM-pptp set the MTU correctly.
Comment 1 Bug Zapper 2009-06-09 22:54:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:27:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.